CREATE TABLE AEROPORT
(
  ID        SMALLINT    NOT NULL AUTO_INCREMENT,
  CODI_IATA VARCHAR(3)  NOT NULL,
  NOM 			VARCHAR(50) NOT NULL,
  CIUTAT    VARCHAR(50) NOT NULL,
  PRIMARY KEY (ID),
  UNIQUE (CODI_IATA)
);

CREATE TABLE VOL
(
  ID            SMALLINT    NOT NULL AUTO_INCREMENT,
	NUM_VOL				SMALLINT		NOT NULL,
	ORIGEN				VARCHAR(3)  NOT NULL REFERENCES AEROPORT(CODI_IATA),
	DESTI				  VARCHAR(3)  NOT NULL REFERENCES AEROPORT(CODI_IATA),
	HORA_SORTIDA	VARCHAR(5)	NOT NULL,
	DATA_SORTIDA	VARCHAR(10)	NOT NULL,
	HORA_ARRIBADA	VARCHAR(5)	NOT NULL,
	DATA_ARRIBADA	VARCHAR(10)	NOT NULL,
	NUM_PLACES		SMALLINT		NOT NULL,
	PREU_VOL			SMALLINT    NOT NULL,
	PRIMARY KEY (ID),
	UNIQUE (NUM_VOL)
);

CREATE TABLE PASSATGER
(
  ID             SMALLINT    NOT NULL AUTO_INCREMENT,
	CODI_PASSATGER VARCHAR(6)	 NOT NULL,
	TITOL				   VARCHAR(3),				
	NOM					   VARCHAR(40) NOT NULL,
	COGNOMS				 VARCHAR(60) NOT NULL,
	DATA_NAIXEMENT VARCHAR(10),
	ADRECA				 VARCHAR(120),
	POBLACIO			 VARCHAR(40),
	PROVINCIA			 VARCHAR(40),
	CPOSTAL				 INTEGER(5),
	PAIS				   VARCHAR(60),
	TELF1				   INTEGER(16),
	TELF2				   INTEGER(16),
	EMAIL 				 VARCHAR(40),
	AMBQUI				 VARCHAR(40),
	TIPUS				   CHAR(1),
  PRIMARY KEY (ID),
  UNIQUE (ID,CODI_PASSATGER)										
);

CREATE TABLE RESERVA
(
  ID            SMALLINT    NOT NULL AUTO_INCREMENT,
	CODI_RESERVA 	VARCHAR(6) 	NOT NULL,
	VOL_ANADA			INT      		NOT NULL REFERENCES VOL(ID),
	VOL_TORNADA		INT     		REFERENCES VOL(ID),
	PASSATGER 		VARCHAR(6)	NOT NULL REFERENCES PASSATGER(CODI_PASSATGER),
	PLACES 				SMALLINT		NOT NULL,
	PAGADA				BOOLEAN			NOT NULL,
	PRIMARY KEY (ID),
	UNIQUE (CODI_RESERVA)
);
