package edu.uoc.pfc.lcamps.persistenciaFW.admin.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Anotació per a identificar que una classe es mapeja a una columna
 * @author Llorenç Camps
 * 12/12/2013
 */
@Target({ ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
public @interface Column {
	/**
	 * Identifiquem el nom del camp 
	 * @return nom del camp 
	 */
	String name();
	
	/**
	 * Identifiquem el nom del tipus de la columna
	 * @return tipus de la columna 
	 */
	String type();
	
	
	/**
	 * Identifiquem si la columna es nullable
	 * @return si la columna es nullable
	 */
	String nullable() default "SI";
}
