package edu.uoc.pfc.lcamps.persistenciaFW.admin.session;

import edu.uoc.pfc.lcamps.persistenciaFW.admin.transaction.TransactionFW;
import edu.uoc.pfc.lcamps.persistenciaFW.exception.DBException;

/**
 * Interfície que ens servirà per la gestió de la sessio
 * @author Llorenç Camps
 * 12/12/2013
 */
public interface SessionFW {
	
	/**
	 * Obtenim la Transaction
	 * @return
	 */
	TransactionFW getTransactionFW();
	
	/**
	 * Realitza el set de l'objecte TransactionFW
	 * @param transactionFW
	 */
	void setTransactionFW(TransactionFW transactionFW);
	
	/**
	 * Creem una nova transacció amb autoCommit a true
	 * @return
	 * @throws DBException
	 */
	TransactionFW newTransaction( ) throws DBException;
	
	/**
	 * Creem una nova transacció passant l'autoCommit
	 * @param autoCommit
	 * @return
	 * @throws DBException
	 */
	TransactionFW newTransaction( boolean autoCommit ) throws DBException;
	
	/**
	 * Tanquem la transacció
	 * @throws DBException
	 */
	void closeTransaction() throws DBException;

	/**
	 * Donat un determinat objecte fem insert a la base de dades
	 * @param obj
	 * @return
	 * @throws DBException
	 */
	int insert ( Object obj ) throws DBException;
	
	/**
	 * Donat un determinat objecte fem update a la base de dades
	 * @param obj
	 * @throws DBException
	 */
	void update ( Object obj ) throws DBException;
	
	/**
	 * Donat un determinat objecte fem un delete de la base de dades
	 * @param obj
	 * @throws DBException
	 */
	void delete ( Object obj ) throws DBException;
	
	/**
	 * Donat un determinat objecte obtenim el llistat de la base de dades
	 * @param obj
	 * @return
	 * @throws DBException
	 */
	java.util.List<Object> findListFromObj ( Object obj ) throws DBException;
	
	/**
	 * Donada una determinada query obtenim el llistat de la base de dades
	 * @param query
	 * @return
	 * @throws DBException
	 */
	java.util.List<Object> findListFromQuery ( String query, Object objReturn ) throws DBException;
}