package edu.uoc.pfc.lcamps.persistenciaFW.admin.session;

import edu.uoc.pfc.lcamps.persistenciaFW.admin.session.impl.SessionFWImpl;
import edu.uoc.pfc.lcamps.persistenciaFW.exception.DBException;


/**
 * Classe que ens servirà per obtenir una nova sessió
 * @author Llorenç Camps
 * 13/12/2013
 */
public class SessionFWFactory {

	private static SessionFWFactory instance;

	// Constructors
	private SessionFWFactory(){ super(); }
	 
	public static synchronized SessionFWFactory getInstance() {
		if( instance == null ){
		   	instance = new SessionFWFactory();
		}		    
	    return instance;
	}
	
	/**
	 * Retorna una nova Session
	 * @return
	 * @throws BDException
	 */
	public SessionFW createSessionFW() throws DBException {
		return new SessionFWImpl();
	}
}
