package edu.uoc.pfc.lcamps.persistenciaFW.admin.transaction;

import java.sql.ResultSet;

import edu.uoc.pfc.lcamps.persistenciaFW.exception.DBException;

/**
 * Interfície que ens servirà per la gestió de les transaccions
 * @author Llorenç Camps
 * 12/12/2013
 */
public interface TransactionFW {
	
	/**
	 * Realitza la operació de commit de la transacció
	 */
	void commit() throws DBException;

	/**
	 * Realitza la operacio de rollback de la transacció
	 */
	void rollback() throws DBException;
	
	/**
	 * Realitza la operació de fer el close de la transacció
	 */
	void close() throws DBException;
	
	/**
	 * Executa una sentència SQL que no retorna dades, com per exemple un INSERT, UPDATE, DELETE
	 * @param query
	 * @throws DBException
	 */
	void executeQuery( String query ) throws DBException;
	
	/**
	 * Executa una sentència SQL que retorna dades
	 * @param query
	 * @return
	 * @throws DBException
	 */
	ResultSet executeQueryData( String query ) throws DBException;
	
	/**
	 * Executa una sentència SQL que retornarà el número de registres que retornarà la query,
	 * o el valor de consulta una sequence
	 * @param query
	 * @return
	 * @throws DBException
	 */
	int executeCount( String query ) throws DBException;	
}