package edu.uoc.pfc.lcamps.persistenciaFW.constants;

/**
 * Classe que conté les constants dels possibles errors que es poden donar
 * @author Llorenç Camps
 * 12/12/2013
 */
public final class ErrorConstants {
	
	public static final int 	ERROR_CONFIG_FILE_CODI	= 1;
	public static final String 	ERROR_CONFIG_FILE_MSG	= "No s'ha trobat el fitxer de configuració " + ConfigConstants.FW_CONFIG_FILE + ".";
	
	public static final int 	ERROR_CONFIG_FILE_CONFIGURAT_CODI = 2;
	public static final String  ERROR_CONFIG_FILE_CONFIGURAT_MSG = "No existeix l'arxiu de properties configurat.";
	
	public static final int 	ERROR_INIT_DRIVER_CONNECTION_CODI = 3;
	public static final String	ERROR_INIT_DRIVER_CONNECTION_MSG = "S'ha produït un error inicialitzant el driver de connexió de la base de dades.";
	
	public static final int		ERROR_REGISTER_DRIVER_CONNECTION_CODI = 4;
	public static final String	ERROR_REGISTER_DRIVER_CONNECTION_MSG = "S'ha produït un error registrant el driver de connexió de la base de dades.";
	
	public static final int		ERROR_REGISTRE_NO_ENTITAT_ANNOTATION_CODI = 5;
	public static final String	ERROR_REGISTRE_NO_ENTITAT_ANNOTATION_MSG = "S'ha produït un error intentant obtenir les metadades d'un objecte que es sigui una entity.";
	
	public static final int    	ERROR_GET_CONNECTION_CODI = 6;
	public static final String 	ERROR_GET_CONNECTION_MSG  = "S'ha produït un error al intentar connectar amb la base de dades.";
	
	public static final int    	ERROR_TRANSACTION_CONNECTION_CODI = 7;
	public static final String 	ERROR_TRANSACTION_CONNECTION_MSG  = "S'ha produït un error al intentar setejar l'autoCommit a ";

	public static final int 	ERROR_CONNECTION_NULL_CODI	= 8;
	public static final String 	ERROR_CONNECTION_NULL_MSG	= "No es pot realitzar la operació ja que la connexió és null.";
	
	public static final int 	ERROR_COMMIT_CODI 	= 9;
	public static final String 	ERROR_COMMIT_MSG	= "Error realitzant el commit de la connexió.";
	
	public static final int 	ERROR_ROLLBACK_CODI	= 10;
	public static final String 	ERROR_ROLLBACK_MSG	= "Error realitzant el rollback de la connexió.";
	
	public static final int 	ERROR_CLOSE_CODI	= 11;
	public static final String 	ERROR_CLOSE_MSG		= "Error realitzant el tancament de la connexió.";
	
	public static final int 	ERROR_UPDATE_MULTIPLE_RECORDS_CODI	= 12;
	public static final String 	ERROR_UPDATE_MULTIPLE_RECORDS_MSG	= "L'execució ha modificat més d'un registre.";
	
	public static final int 	ERROR_QUERY_UPDATE_CODI		= 13;
	public static final int		ERROR_QUERY_EXECUTE_CODI	= 14;
	public static final int		ERROR_QUERY_COUNT_CODI		= 15;
	public static final String 	ERROR_GENERIC_DATABASE_MSG	= "Error realitzant la operació a la base de dades.";
	
	public static final int 	ERROR_OBJECT_NULL_CODI	= 16;
	public static final String 	ERROR_OBJECT_NULL_MSG	= "No es poden obtenir les metadades del bean ja que és null.";
	
	public static final int 	ERROR_TYPE_MAPPING_CODI	= 17;
	public static final int 	ERROR_ARGUMENT_MAPPING_CODI = 18;
	public static final int 	ERROR_ACCES_MAPPING_CODI = 19;
	public static final int 	ERROR_INVOCATION_MAPPING_CODI = 20;
	public static final int 	ERROR_SECURITY_MAPPING_CODI = 21;
	public static final int 	ERROR_METHOD_MAPPING_CODI = 22;
	public static final int		ERROR_SQL_MAPPING_CODI = 23;
	public static final int 	ERROR_INSTANTIATION_MAPPING_CODI = 24;
	public static final String 	ERROR_MAPPING_MSG	= "No s'ha pogut relitzar correctament el mapping amb la base de dades degut a ";
	
	public static final int 	ERROR_ANNOTATION_CLASS_MAPPING_CODI = 25;
	public static final String 	ERROR_ANNOTATION_CLASS_MAPPING_MSG	= "No es possible fer el mapping ja que la classe no disposa de l'annotacio @Entity o @Mapper";
	
	public static final int 	ERROR_GENERATE_BEANS_CODI	= 26;
	public static final String 	ERROR_GENERATE_BEANS_MSG	= "Error generant els beans de base de dades : ";
	
	public static final int 	ERROR_PK_CODI 			= 27;
	public static final String 	ERROR_UNDEFINED_PK_MSG	= "La clau primària no està definida.";
	public static final String 	ERROR_PK_MSG			= "Error obtenint la clau primària : ";
	
	public static final int 	ERROR_TABLE_MAPPING_CODI= 28;
	public static final String 	ERROR_TABLE_MAPPING_MSG	= "El nom de la taules no coincideix amb el resultat del resultset.";
	
	public static final int 	ERROR_GET_METADATA_CODI = 29;
	public static final String 	ERROR_GET_METADATA_MSG	= "Error obtenint les metadades de la taula : ";
}