package edu.uoc.pfc.lcamps.persistenciaFW.constants;

/**
 * Classe que conté les constants que s'utilitzen en l'autogeneració del codi per la creació de les taules de BBDD
 * @author Llorenç Camps
 * 13/12/2013
 */
public final class GeneratorConstants {
	
	// Altres
	public static final String JAVA_EXTENSION = ".java";
	public static final String SYMBOL_LIKE = "%";
	
	// Configuracio
	public static final String PREFIX_DEFAULT_PCKG	= "edu.uoc.pfc.lcamps.persistenciaFW.generator.provider.";
	public static final String PREFIX_DEFAULT_CLASS	= "TableDB";
	public static final String SUFIX_DEFAULT_CLASS	= "Impl";
	public static final String DOT					= ".";
	public static final String SUFIX_GENERATE_CLASS	= "VO";
		
	// Mappings
	public static final int METADADA_CATALEG_INDEX = 1;
	public static final int METADADA_SCHEMA_INDEX = 2;
	public static final int METADADA_TABLENAME_INDEX = 3;
	public static final int METADADA_COLUMN_NAME_INDEX = 4;
	public static final int METADADA_COLUMN_DATATYPE_INDEX = 5;
	public static final int METADADA_COLUMN_TYPENAME_INDEX = 6;
	public static final int METADADA_COLUMN_SIZE_INDEX = 7;
	public static final int METADADA_COLUMN_BUFFERLENGTH_INDEX = 8;
	public static final int METADADA_COLUMN_DECIMALDIGITS_INDEX = 9;
	public static final int METADADA_COLUMN_PRECISION_INDEX = 10;
	public static final int METADADA_COLUMN_ISNULLABLE_INDEX = 18;
	public static final int METADADA_COLUMN_ISAUTOINCREMENT_INDEX = 23;
	public static final int METADADA_COLUMN_SQLDATATYPE_INDEX = 14;
	
	// Tipus Java
	public static final String STRING_JAVA_TYPE = "java.lang.String";
	public static final String INTEGER_JAVA_TYPE = "java.lang.Integer";
	public static final String LONG_JAVA_TYPE = "java.lang.Long";
	public static final String TIMESTAMP_JAVA_TYPE = "java.sql.Timestamp";
	public static final String BOOLEAN_JAVA_TYPE = "java.lang.Boolean";
	public static final String FLOAT_JAVA_TYPE = "java.lang.Float";
	public static final String DOUBLE_JAVA_TYPE = "java.lang.Double";
	public static final String DECIMAL_JAVA_TYPE = "java.math.BigDecimal";
	public static final String BYTE_ARRAY_JAVA_TYPE = "byte[]";		
}