package edu.uoc.pfc.lcamps.persistenciaFW.exception;

/**
 * Classe que tracta les excepcions de la base de dades del framework
 * @author Llorenç Camps
 * 12/12/2013
 */

public class DBException extends Exception {

	private static final long serialVersionUID = -8135553624134898780L;

	// Atributs
	private int codi;
	private String descripcio;
	private Throwable cause;
	
	// Constructors
	public DBException(){ super();}
	
	public DBException( int codi, String descripcio ){
		this( codi, descripcio, null );
	}
	
	public DBException( int codi, String descripcio, Throwable cause ){
		super(descripcio, cause);
		this.setCodi( codi );
		this.setDescripcio( descripcio );
		this.setCause( cause );
	}
	
	// Getters & Setters
	
	public int getCodi() {
		return codi;
	}

	public void setCodi(int codi) {
		this.codi = codi;
	}

	public String getDescripcio() {
		return descripcio;
	}

	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	public Throwable getCause() {
		return cause;
	}

	public void setCause(Throwable cause) {
		this.cause = cause;
	}	
}