package edu.uoc.pfc.lcamps.persistenciaFW.generator;

import java.util.List;

import edu.uoc.pfc.lcamps.persistenciaFW.exception.DBException;

/**
 * Interfície que ens servirà per la gestió de la generació de la taula
 * @author Llorenç Camps
 * 13/12/2013
 */
public interface GeneratorTableDBFW {

	/**
	 * Comprova si te Primary Key
	 * @return
	 */
	boolean hasPK();
	
	/**
	 * Afegim la Primary Key
	 * @throws DBException
	 */
	void addPKey() throws DBException;
	
	/**
	 * Afegim la informació de la columna
	 * @throws DBException
	 */
	void addColumnData() throws DBException;
		 
	/**
	 * Obtenim el llistat amb les columnes
	 * @return
	 */
	List<GeneratorColumnDBFW> getColumns();
	
	/**
	 * Obtenim el nom de la taula
	 * @return
	 */
	String getTableName();
	
	/**
	 * Setejem el nom de la taula al paràmetre donat
	 * @param tableName
	 */
	void setTableName(String tableName);
	
	/**
	 * Obtenim el nom de la classe
	 * @return
	 */
	String getClassName();
	
	/**
	 * Setejem el nom de la classe al paràmetre donat
	 * @param className
	 */
	void setClassName(String className);
	
	/**
	 * Obtenim el nom del fitxer
	 * @return
	 */
	String getFileName();
	
	/**
	 * Setejem el nom del fitxer al paràmetre donat
	 * @param fileName
	 */
	void setFileName(String fileName);
	
	/**
	 * Obtenim el nom del paquet
	 * @return
	 */
	String getPackageName();
	
	/**
	 * Obtenim la versio de la BBDD
	 * @return
	 */
	String getMetadataVersion();
	
	/**
	 * Obtenim el nom del driver
	 * @return
	 */
	String getMetadataDriverName();
	
	/**
	 * Obtenim el número de camps
	 * @return
	 */
	int getNumFields();
}
