package test;

import java.util.List;

import test.exemple.beans.catwings.AeroportVO;
import test.exemple.beans.catwings.VolVO;
import edu.uoc.pfc.lcamps.persistenciaFW.admin.session.SessionFW;
import edu.uoc.pfc.lcamps.persistenciaFW.admin.session.SessionFWFactory;
import edu.uoc.pfc.lcamps.persistenciaFW.admin.transaction.TransactionFW;
import edu.uoc.pfc.lcamps.persistenciaFW.exception.DBException;

/**
 * Classe que conté el main per provar el framework i realitzar alguna operació sobre la base de dades
 * @author Llorenç Camps
 * 14/12/2013
 */
public class TestPersistenciaFW {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws DBException{
 		System.out.println("Iniciant el test per provar el funcionament del FW ... ");
		SessionFW session = null;
		try{
			session = SessionFWFactory.getInstance().createSessionFW();
			session.newTransaction( false );
			
			AeroportVO aeroport1 = new AeroportVO();
			aeroport1.setCodiIata( "AMS" );
			aeroport1.setNom( "Aeroport de Schiphol" );
			aeroport1.setCiutat( "Amsterdam" );
			session.insert( aeroport1 );
			
			AeroportVO aeroport2 = new AeroportVO();
			aeroport2.setCodiIata( "BCN" );
			aeroport2.setNom( "Aeroport de Barcelona - El Prat" );
			aeroport2.setCiutat( "Barcelona" );
			session.insert( aeroport2 );
			
			VolVO vol = new VolVO();
			vol.setNumVol( 1401 );
			vol.setOrigen( "BCN" );
			vol.setDesti( "AMS" );
			vol.setHoraSortida( "18:00" );
			vol.setDataSortida( "30/01/2013" );
			vol.setHoraArribada( "20:50" );
			vol.setDataArribada( "30/01/2019" );
			vol.setNumPlaces( 180 );
			vol.setPreuVol( 50 );
			session.insert( vol );
						
			// Obtenim els aeroports
			AeroportVO aeroportSearch = new AeroportVO();
			aeroportSearch.setId( 3 );
			List<Object> result = session.findListFromObj(aeroportSearch);
			
			List<Object> result2 = session.findListFromQuery( "SELECT * FROM AEROPORT", new AeroportVO() );
			
			session.getTransactionFW().commit();
			
		}catch(Exception e){
			System.err.println("Error : " + e.getMessage());
			session.getTransactionFW().rollback();
		}
		finally{
			session.closeTransaction();
			System.out.println("Procés de test per provar el funcionament del FW finalitzat!");
		}
	}

}
