package edu.uoc.pfc.lcamps.webapp.catwings.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;

import edu.uoc.pfc.lcamps.webapp.catwings.bd.entity.ReservaVO;
import edu.uoc.pfc.lcamps.webapp.catwings.constants.ActionConstants;
import edu.uoc.pfc.lcamps.webapp.catwings.form.ReservaForm;
import edu.uoc.pfc.lcamps.webapp.catwings.pojo.ReservaInfoVO;
import edu.uoc.pfc.lcamps.webapp.catwings.service.ReservaService;
import edu.uoc.pfc.lcamps.webapp.catwings.spring.CatWingsContext;


/**
 * Classe Action que ens servirà per consultar la informació de la reserva
 * @author Llorenç Camps 
 */
public class ConsultarReservaAction extends GlobalAction{

	private static final Logger log = Logger.getLogger( ConsultarReservaAction.class );

	@SuppressWarnings("deprecation")
	@Override
	protected ActionForward doExecute(ActionMapping mapping, ActionForm form,
			HttpServletRequest req, HttpServletResponse res) throws Exception {
		
		ActionErrors errors = new ActionErrors();
		try{
	        log.debug( "ConsultarReservaAction() - Inici" );
	        ReservaForm reservaForm = (ReservaForm) form;
	        ReservaService reservaService = CatWingsContext.getInstance().getReservaService();
	        ReservaVO reservaVO = reservaService.getReserva( reservaForm.getNconfirmacio(), reservaForm.getNmail() );
	        ReservaInfoVO result = reservaService.getInfoReserva( reservaVO );
	        // Afegim el resultat a la request
	        req.setAttribute( ActionConstants.HTTP_REQUEST_ATTRIBUTE_RESULT_INFO_RESERVA, result );
	        return mapping.findForward( ActionConstants.MAPPING_OK );
		} catch (Exception e) {
			log.error( "ConsultarReservaAction() - Error:" + e.getMessage(), e );
			errors.add("CatWingsError",new ActionMessage("errors.reserva"));
			return mapping.findForward( ActionConstants.MAPPING_ERROR );
		}finally{
			if (!errors.isEmpty()) saveErrors(req,errors);
		}
	}
}
