package edu.uoc.pfc.lcamps.webapp.catwings.bd.dao;

import edu.uoc.pfc.lcamps.persistenciaFW.admin.session.SessionFW;
import edu.uoc.pfc.lcamps.persistenciaFW.exception.DBException;
import edu.uoc.pfc.lcamps.webapp.catwings.bd.entity.AeroportVO;

/**
 * Interfície que ens servirà per la gestió del DAO de l'aeroport
 * @author Llorenç Camps 
 */
public interface AeroportDAO {

	/**
	 * A partir del codi iata retorna l'aeroport
	 * @param codiiata
	 * @return
	 * @throws DBException
	 */
	AeroportVO selectAeroport(String codiiata) throws DBException;
	
	/**
	 * Insertem l'aeroport
	 * @param sessio
	 * @param obj
	 * @return
	 * @throws DBException
	 */
	int insertAeroport(SessionFW sessio, AeroportVO obj) throws DBException;
	
	/**
	 * Actualitzem aeroport
	 * @param codiiata
	 * @param nom
	 * @param ciutat
	 * @return
	 * @throws DBException
	 */
	void updateAeroport(SessionFW sessio, AeroportVO obj) throws DBException;
	
	/**
	 * Esborrem aeroport
	 * @param sessio
	 * @param obj
	 * @return
	 * @throws DBException
	 */
	void deleteAeroport(SessionFW sessio, AeroportVO obj) throws DBException;
}
