package edu.uoc.pfc.lcamps.webapp.catwings.bd.dao;

import edu.uoc.pfc.lcamps.persistenciaFW.admin.session.SessionFW;
import edu.uoc.pfc.lcamps.persistenciaFW.exception.DBException;
import edu.uoc.pfc.lcamps.webapp.catwings.bd.entity.ReservaVO;

/**
 * Interfície que ens servirà per la gestió del DAO de la reserva
 * @author Llorenç Camps 
 */
public interface ReservaDAO {
	
	/**
	 * Obrim la transaccio
	 * @param autocommit
	 * @return
	 * @throws DBException
	 */
	SessionFW openTransaccio(boolean autocommit) throws DBException;
	
	/**
	 * Tanquem la transaccio
	 * @param sessio
	 * @throws DBException
	 */
	void closeTransaccio(SessionFW sessio) throws DBException;

	/**
	 * insertem la reserva
	 * @param sessio
	 * @param obj
	 * @return
	 * @throws DBException
	 */
	int insertReserva(SessionFW sessio, ReservaVO obj ) throws DBException;
	
	/**
	 * Eliminem la reserva
	 * @param codi
	 * @return
	 * @throws DBException
	 */
	void deleteReserva(SessionFW sessio, ReservaVO obj) throws DBException;
		
	/**
	 * Obtenim la reserva a partir del codi de reserva
	 * @param codi
	 * @return
	 * @throws DBException
	 */
	ReservaVO selectReserva(String codi) throws DBException; 
}
