package edu.uoc.pfc.lcamps.webapp.catwings.bd.sql;

/**
 * Interfície que ens servirà per obtenir les diferents querys sobre la taula del passatger
 * @author Llorenç Camps 
 */
public interface PassatgerQueryProvider {

	/**
	 * Obtenim la query per obtenir el contacte a partir del codi i de l'email
	 * @param codi
	 * @param email
	 * @return
	 */
	String getQuerySelectContacteByEmailCodi( String codi, String email );
	
	/**
	 * Obtenim la query per obtenir el contacte a partir del codi
	 * @param codi
	 * @return
	 */
	String getQuerySelectContacteByCodi( String codi );
	
	/**
	 * Obtenim la query per obtenir els adults a partir del codi
	 * @param codi
	 * @return
	 */
	String getQuerySelectAdultsByCodi( String codi );
	
	/**
	 * Obtenim la query per obtenir els nens a partir del codi
	 * @param codi
	 * @return
	 */
	String getQuerySelectNensByCodi( String codi );
	
	/**
	 * Obtenim la query per obtenir els infants a partir del codi
	 * @param codi
	 * @return
	 */
	String getQuerySelectInfantsByCodi( String codi );
	
	/**
	 * Obtenim la query per obtenir tots els passatgers a partir del codi
	 * @param codi
	 * @return
	 */
	String getQuerySelectAllPassatgersByCodi( String codi );
	
	/**
	 * Obtenim la query per obtenir tots els passatgers menys els infants a partir del codi
	 * @param codi
	 * @return
	 */
	String getQuerySelectAllPassatgersPaguenByCodi( String codi );
}
