package edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.impl;

import edu.uoc.pfc.lcamps.persistenciaFW.utils.SQLUtils;
import edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.PassatgerQueryProvider;

/**
 * Classe que implementa la interfície de les querys sobre la taula del passatger
 * @author Llorenç Camps 
 */
public class PassatgerQueryProviderImpl implements PassatgerQueryProvider{
	
	/*
	 * (non-Javadoc)
	 * @see edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.PassatgerQueryProvider#getQuerySelectContacteByEmailCodi(java.lang.String, java.lang.String)
	 */
	@Override
	public String getQuerySelectContacteByEmailCodi( String codi, String email ){		
		StringBuffer sb = new StringBuffer( "SELECT * FROM PASSATGER WHERE TIPUS='C' AND CODI_PASSATGER=" );
		
		sb.append( SQLUtils.formatString( codi ) );
		sb.append( " AND EMAIL=").append( SQLUtils.formatString( email ) );
		
		return sb.toString();
	}

	/*
	 * (non-Javadoc)
	 * @see edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.PassatgerQueryProvider#getQuerySelectContacteByCodi(java.lang.String)
	 */
	@Override
	public String getQuerySelectContacteByCodi(String codi) {
		StringBuffer sb = new StringBuffer( "SELECT * FROM PASSATGER WHERE TIPUS='C' AND CODI_PASSATGER=" );
		
		sb.append( SQLUtils.formatString( codi ) );
		
		return sb.toString();
	}

	/*
	 * (non-Javadoc)
	 * @see edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.PassatgerQueryProvider#getQuerySelectAdultsByCodi(java.lang.String)
	 */
	@Override
	public String getQuerySelectAdultsByCodi(String codi) {
		StringBuffer sb = new StringBuffer( "SELECT * FROM PASSATGER WHERE TIPUS='A' AND CODI_PASSATGER=" );
		
		sb.append( SQLUtils.formatString( codi ) );
		
		return sb.toString();
	}

	/*
	 * (non-Javadoc)
	 * @see edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.PassatgerQueryProvider#getQuerySelectNensByCodi(java.lang.String)
	 */
	@Override
	public String getQuerySelectNensByCodi(String codi) {
		StringBuffer sb = new StringBuffer( "SELECT * FROM PASSATGER WHERE TIPUS='N' AND CODI_PASSATGER=" );
		
		sb.append( SQLUtils.formatString( codi ) );
		
		return sb.toString();
	}

	/*
	 * (non-Javadoc)
	 * @see edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.PassatgerQueryProvider#getQuerySelectInfantsByCodi(java.lang.String)
	 */
	@Override
	public String getQuerySelectInfantsByCodi(String codi) {
		StringBuffer sb = new StringBuffer( "SELECT * FROM PASSATGER WHERE TIPUS='I' AND CODI_PASSATGER=" );
		
		sb.append( SQLUtils.formatString( codi ) );
		
		return sb.toString();
	}

	/*
	 * (non-Javadoc)
	 * @see edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.PassatgerQueryProvider#getQuerySelectAllPassatgersByCodi(java.lang.String)
	 */
	@Override
	public String getQuerySelectAllPassatgersByCodi(String codi) {
		StringBuffer sb = new StringBuffer( "SELECT * FROM PASSATGER WHERE TIPUS IN('A','N','I') AND CODI_PASSATGER=" );
		
		sb.append( SQLUtils.formatString( codi ) );
		
		return sb.toString();
	}

	/*
	 * (non-Javadoc)
	 * @see edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.PassatgerQueryProvider#getQuerySelectAllPassatgersPaguenByCodi(java.lang.String)
	 */
	@Override
	public String getQuerySelectAllPassatgersPaguenByCodi(String codi) {
		StringBuffer sb = new StringBuffer( "SELECT * FROM PASSATGER WHERE TIPUS IN('A','N') AND CODI_PASSATGER=" );
		
		sb.append( SQLUtils.formatString( codi ) );
		
		return sb.toString();
	}

}
