package edu.uoc.pfc.lcamps.webapp.catwings.pojo;

import java.util.List;

/**
 * Classe que utilitzarem per guardar tota la informació necessària per realitzar la reserva i per passar les
 * dades de la action als serveis
 * @author Llorenç Camps 
 */
public class ConsultaVO {

	// Atributs
	private int tipusViatge;
	private String aeroportSortida;
	private String aeroportArribada;
	private String dataSortida;
	private String dataTornada;
	private int numAdults;
	private int numNens;
	private int numInfants;
	private int numVolAnada;
	private int numVolTornada;
	private int preuFinal;
	
	private List<AdultVO> adults;
	private List<NenVO> nens;
	private List<InfantVO> infants;
	private ContacteVO contacte;
	
	private PagamentVO pagament;
	
	// Constructor
	public ConsultaVO(){super();}

	// Getters && Setters
	public int getTipusViatge() {
		return tipusViatge;
	}

	public void setTipusViatge(int tipusViatge) {
		this.tipusViatge = tipusViatge;
	}

	public String getAeroportSortida() {
		return aeroportSortida;
	}

	public void setAeroportSortida(String aeroportSortida) {
		this.aeroportSortida = aeroportSortida;
	}

	public String getAeroportArribada() {
		return aeroportArribada;
	}

	public void setAeroportArribada(String aeroportArribada) {
		this.aeroportArribada = aeroportArribada;
	}

	public String getDataSortida() {
		return dataSortida;
	}

	public void setDataSortida(String dataSortida) {
		this.dataSortida = dataSortida;
	}

	public String getDataTornada() {
		return dataTornada;
	}

	public void setDataTornada(String dataTornada) {
		this.dataTornada = dataTornada;
	}

	public int getNumAdults() {
		return numAdults;
	}

	public void setNumAdults(int numAdults) {
		this.numAdults = numAdults;
	}

	public int getNumNens() {
		return numNens;
	}

	public void setNumNens(int numNens) {
		this.numNens = numNens;
	}

	public int getNumInfants() {
		return numInfants;
	}

	public void setNumInfants(int numInfants) {
		this.numInfants = numInfants;
	}

	public void setNumVolAnada(int numVolAnada) {
		this.numVolAnada = numVolAnada;
	}

	public int getNumVolAnada() {
		return numVolAnada;
	}

	public void setNumVolTornada(int numVolTornada) {
		this.numVolTornada = numVolTornada;
	}

	public int getNumVolTornada() {
		return numVolTornada;
	}

	public void setPreuFinal(int preuFinal) {
		this.preuFinal = preuFinal;
	}

	public int getPreuFinal() {
		return preuFinal;
	}
	
	public List<AdultVO> getAdults() {
		return adults;
	}

	public void setAdults(List<AdultVO> adults) {
		this.adults = adults;
	}

	public List<NenVO> getNens() {
		return nens;
	}

	public void setNens(List<NenVO> nens) {
		this.nens = nens;
	}

	public List<InfantVO> getInfants() {
		return infants;
	}

	public void setInfants(List<InfantVO> infants) {
		this.infants = infants;
	}

	public ContacteVO getContacte() {
		return contacte;
	}

	public void setContacte(ContacteVO contacte) {
		this.contacte = contacte;
	}

	public void setPagament(PagamentVO pagament) {
		this.pagament = pagament;
	}

	public PagamentVO getPagament() {
		return pagament;
	}
}
