package edu.uoc.pfc.lcamps.webapp.catwings.service.impl;

import org.apache.log4j.Logger;

import edu.uoc.pfc.lcamps.persistenciaFW.exception.DBException;
import edu.uoc.pfc.lcamps.webapp.catwings.bd.dao.AeroportDAO;
import edu.uoc.pfc.lcamps.webapp.catwings.bd.entity.AeroportVO;
import edu.uoc.pfc.lcamps.webapp.catwings.service.AeroportService;

/**
 * Classe que implementa la interfície que gestiona l'Aeroport
 * @author Llorenç Camps 
 */
public class AeroportServiceImpl implements AeroportService {
	
	private static final Logger log = Logger.getLogger( AeroportServiceImpl.class );
	
	private AeroportDAO aeroportDAO;
		
	/**
	 * @param aeroportDAO the aeroportDAO to set
	 */
	public void setAeroportDAO(AeroportDAO aeroportDAO) {
		this.aeroportDAO = aeroportDAO;
	}

	/**
	 * @return the aeroportDAO
	 */
	public AeroportDAO getAeroportDAO() {
		return aeroportDAO;
	}	

	/*
	 * (non-Javadoc)
	 * @see edu.uoc.pfc.lcamps.webapp.catwings.service.AeroportService#getAeroport(java.lang.String)
	 */
	@Override
	public AeroportVO getAeroport(String codiIata) throws DBException{
		log.debug( "getAeroport() - [codiIata=" + codiIata + "]" );
		return aeroportDAO.selectAeroport( codiIata );
	}

}
