package edu.uoc.pfc.lcamps.webapp.catwings.servlet.listener;

import java.net.URL;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.apache.log4j.Logger;
import org.apache.log4j.xml.DOMConfigurator;

import edu.uoc.pfc.lcamps.webapp.catwings.spring.CatWingsContext;

/**
 * Classe d'inicialització de l'aplicació
 * @author Llorenç Camps 
 */
public class ListenerStartup implements ServletContextListener{

	private static Logger log;

	private static final String LOG4J_CONFIG_FILE = "uoc-catwings-log4j.xml";
	  
	/**
	 * Startup de l'aplicacio.
	 * @param event
	 */
	/*
	 * (non-Javadoc)
	 * @see javax.servlet.ServletContextListener#contextInitialized(javax.servlet.ServletContextEvent)
	 */
	public void contextInitialized(ServletContextEvent event) {
		try{
	      // init del logger
	      this.initLogger();
	      
	      log.info( "Iniciant CATWINGS " );

	      log.info( "Iniciant context spring " );
	      CatWingsContext.getInstance();
	      
	      log.info( "CATWINGS iniciat" );
	    }catch ( Exception e ){      
	      log.error( "Error inicialitzant CATWINGS " , e );
	      e.printStackTrace();
	    }
	}
	
	/*
	 * (non-Javadoc)
	 * @see javax.servlet.ServletContextListener#contextDestroyed(javax.servlet.ServletContextEvent)
	 */
	public void contextDestroyed(ServletContextEvent event) {   
		log.info( "CATWINGS destruit" );
	}

	// Mètodes privats
	
	private void initLogger(){
		URL logConfURL = Thread.currentThread().getContextClassLoader().getResource( LOG4J_CONFIG_FILE );
		DOMConfigurator.configure( logConfURL );
	    log = Logger.getLogger( ListenerStartup.class );    
	}
}