package edu.uoc.pfc.lcamps.persistenciaFW.utils;

import org.apache.commons.lang3.StringUtils;

/**
 * Classe que conté les funcions d'utilitats sobre els String
 * @author Llorenç Camps
 * 13/12/2013
 */
public class StringUtilsFW {

	/**
	 * Indica si la cadena que se li passa como a parametre es nula o buida
	 * @param s Cadena a comprobar
	 * @return true si es nula o buida, false en cas contrari
	 */
	public static boolean isNullOrEmpty(String s){
		if( s==null || s.length() == 0 ){
			return true;
	    }
	    return false;
	}
	
	/**
	 * Retornem el valor passat aplicant un UpperCamelCase
	 * @param value
	 * @return
	 */
	public static String upperCamelCase(String value){
		return toCamelCase(value, false);
	}
	
	/**
	 * Retornem el valor passat aplicant un LowerCamelCase
	 * @param value
	 * @return
	 */
	public static String lowerCamelCase(String value){
		return toCamelCase(value, true);
	}
	
	/**
	 * 
	 * @param paramString1
	 * @param paramString2
	 * @param paramString3
	 * @return
	 */
	public static String replaceString( String paramString1, String paramString2, String paramString3 ){
	    if( paramString1 == null) return null;
	    if( ( paramString2 == null ) || ( paramString2.length() == 0 ) ) return paramString1;
	    if( paramString3 == null ) paramString3 = "";
	    
	    StringBuffer sb = new StringBuffer( paramString1.length() );
	    int i = 0;
	    for( int j = 0; i >= 0; j = i + paramString2.length() ){
	    	i = paramString1.indexOf( paramString2, j );
	    	if (i >= 0){
	    		sb.append( paramString1.substring( j, i ) );
	    		sb.append( paramString3 );
	    	}else{
	    		sb.append( paramString1.substring( j ) );
	    	} 
	    }
	    return sb.toString();
	}
	
	// Mètodes privats
	
	/**
	 * Apliquem el camelCase al paàmetre passat
	 * @param value
	 * @param startWithLowerCase
	 * @return
	 */
	private static String toCamelCase(String value, boolean startWithLowerCase) {
		String[] strings = value.toLowerCase().split( "_" );
		for (int i = startWithLowerCase ? 1 : 0; i < strings.length; i++){
			strings[i] = StringUtils.capitalize( strings[i] );
		}
		String ret = "";
		for(int i = 0; i < strings.length; i++ ){
			ret = ret.concat( strings[i] );
		}
		return ret;
	}
}
